Skip to main content

List of Entitlements

GET 

/partner/v2/entitlements

Early Access Request Access To Partner v2

Retrieve a sorted, filtered, paginated list of all entitlements.

Request

Responses

Entitlement.

OpenAPI definition (YAML)
paths:
  /partner/v2/entitlements:
    get:
      x-lifecycle-stage: Early Access
      x-request-access-name: Partner v2
      operationId: listPartnerV2Entitlements
      description: '[![Early Access](https://img.shields.io/badge/Lifecycle%20Stage-Early%20Access-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)
        [![Request Access To Partner v2](https://img.shields.io/badge/-Request%20Access%20To%20Partner%20v2-%23bc8540)](mailto:ccloud-api-access+partner-v2-early-access@confluent.io?subject=Request%20to%20join%20partner/v2%20API%20Early%20Access&body=I%E2%80%99d%20like%20to%20join%20the%20Confluent%20Cloud%20API%20Early%20Access%20for%20partner/v2%20to%20provide%20early%20feedback%21%20My%20Cloud%20Organization%20ID%20is%20%3Cretrieve%20from%20https%3A//confluent.cloud/settings/billing/payment%3E.)


        Retrieve a sorted, filtered, paginated list of all entitlements.'
      parameters:
      - name: organization.id
        in: query
        required: false
        schema:
          description: Filter a collection by a string search
          type: string
          title: SearchFilter
        example: b3a17773-05cc-4431-9560-433fb4613da8
        description: Filter the results by exact match for organization.id.
      - name: page_size
        in: query
        required: false
        schema:
          type: integer
          default: 10
          maximum: 100
          x-max-page-items: 500
        description: A pagination size for collection requests.
      - name: page_token
        in: query
        required: false
        schema:
          type: string
        description: An opaque pagination token for collection requests.
      tags:
      - Entitlements (partner/v2)
      security:
      - oauth:
        - partner:describe
      responses:
        '200':
          description: Entitlement.
          content:
            application/json:
              schema:
                type: object
                description: '`Entitlement` objects represent metadata about a marketplace entitlement.'
                required:
                - api_version
                - kind
                - metadata
                - data
                properties:
                  api_version:
                    type: string
                    enum:
                    - partner/v2
                    description: APIVersion defines the schema version of this representation of a resource.
                    readOnly: true
                  kind:
                    type: string
                    description: Kind defines the object this REST resource represents.
                    readOnly: true
                    enum:
                    - EntitlementList
                  metadata:
                    type: object
                    description: ListMeta describes metadata that resource collections may have
                    properties:
                      first:
                        description: A link to the first page of results. If a response does not contain
                          a first link, then direct navigation to the first page is not supported.
                        type: string
                        format: uri
                        nullable: true
                        example: https://api.confluent.cloud/v2/resourcekinds
                      last:
                        description: A link to the last page of results. If a response does not contain
                          a last link, then direct navigation to the last page is not supported.
                        type: string
                        format: uri
                        nullable: true
                        example: https://api.confluent.cloud/v2/resourcekinds?page_token=bcAOehAY8F16YD84Z1wT
                      prev:
                        description: A link to the previous page of results. If a response does not contain
                          a prev link, then either there is no previous data or backwards traversal through
                          the result set is not supported.
                        type: string
                        format: uri
                        nullable: true
                        example: https://api.confluent.cloud/v2/resourcekinds?page_token=YIXRY97wWYmwzrax4dld
                      next:
                        description: A link to the next page of results. If a response does not contain
                          a next link, then there is no more data available.
                        type: string
                        format: uri
                        nullable: true
                        example: https://api.confluent.cloud/v2/resourcekinds?page_token=UvmDWOB1iwfAIBPj6EYb
                      total_size:
                        description: Number of records in the full result set. This response may be paginated
                          and have a smaller number of records.
                        type: integer
                        format: int32
                        minimum: 0
                        example: 123
                    title: ListMeta
                  data:
                    type: array
                    items:
                      allOf:
                      - type: object
                        description: '`Entitlement` objects represent metadata about a marketplace entitlement.'
                        properties:
                          api_version:
                            type: string
                            enum:
                            - partner/v2
                            description: APIVersion defines the schema version of this representation
                              of a resource.
                            readOnly: true
                          kind:
                            type: string
                            description: Kind defines the object this REST resource represents.
                            readOnly: true
                            enum:
                            - Entitlement
                          id:
                            description: ID is the "natural identifier" for an object within its scope/namespace;
                              it is normally unique across time but not space. That is, you can assume
                              that the ID will not be reclaimed and reused after an object is deleted
                              ("time"); however, it may collide with IDs for other object `kinds` or objects
                              of the same `kind` within a different scope/namespace ("space").
                            type: string
                            readOnly: true
                            example: dlz-f3a90de
                          metadata:
                            description: ObjectMeta is metadata that all persisted resources must have,
                              which includes all objects users must create.
                            required:
                            - self
                            properties:
                              self:
                                description: Self is a Uniform Resource Locator (URL) at which an object
                                  can be addressed. This URL encodes the service location, API version,
                                  and other particulars necessary to locate the resource at a point in
                                  time
                                type: string
                                format: uri
                                readOnly: true
                                example: https://api.confluent.cloud/v2/kafka-clusters/lkc-f3a90de
                              resource_name:
                                description: Resource Name is a Uniform Resource Identifier (URI) that
                                  is globally unique across space and time. It is represented as a Confluent
                                  Resource Name
                                type: string
                                format: uri
                                readOnly: true
                                example: crn://confluent.cloud/kafka=lkc-f3a90de
                              created_at:
                                type: string
                                format: date-time
                                example: '2006-01-02T15:04:05-07:00'
                                readOnly: true
                                description: The date and time at which this object was created. It is
                                  represented in RFC3339 format and is in UTC.
                              updated_at:
                                type: string
                                format: date-time
                                example: '2006-01-02T15:04:05-07:00'
                                readOnly: true
                                description: The date and time at which this object was last updated.
                                  It is represented in RFC3339 format and is in UTC.
                              deleted_at:
                                type: string
                                format: date-time
                                example: '2006-01-02T15:04:05-07:00'
                                readOnly: true
                                description: The date and time at which this object was (or will be) deleted.
                                  It is represented in RFC3339 format and is in UTC.
                            readOnly: true
                            title: ObjectMeta
                          external_id:
                            type: string
                            description: The unique external ID of the entitlement (this should be unique
                              to customer)
                            example: 1111-2222-3333-4444
                          name:
                            type: string
                            description: The name of the entitlement
                            example: Acme Prod Entitlement
                          plan_id:
                            type: string
                            description: The plan ID the entitlement
                            example: confluent-cloud-payg-prod
                            enum:
                            - confluent-cloud-payg-prod
                            - payg-prod.gcpmarketplace.confluent.cloud
                          product_id:
                            type: string
                            description: The product ID of the entitlement
                            example: confluent-cloud-kafka-service-azure
                            enum:
                            - confluent-cloud-kafka-service-azure
                            - confluent-cloud-for-apache-kafka
                            - payg-prod.gcpmarketplace.confluent.cloud
                          usage_reporting_id:
                            type: string
                            description: 'The usage reporting ID of the entitlement (if usage reporting
                              uses

                              a different ID, otherwise, same as external_id)

                              '
                            example: 1111-2222-3333-4444
                          resource_id:
                            type: string
                            description: The resource ID of the entitlement
                            example: 1111-2222-3333-4444
                          organization:
                            allOf:
                            - type: object
                              description: ObjectReference provides information for you to locate the
                                referred object
                              required:
                              - id
                              - related
                              - resource_name
                              properties:
                                id:
                                  type: string
                                  description: ID of the referred resource
                                  minLength: 1
                                  maxLength: 255
                                environment:
                                  type: string
                                  description: Environment of the referred resource, if env-scoped
                                  minLength: 1
                                  maxLength: 255
                                related:
                                  type: string
                                  format: uri
                                  description: API URL for accessing or modifying the referred object
                                  minLength: 1
                                  readOnly: true
                                resource_name:
                                  type: string
                                  format: uri
                                  description: CRN reference to the referred resource
                                  minLength: 1
                                  readOnly: true
                                api_version:
                                  type: string
                                  description: API group and version of the referred resource
                                  minLength: 1
                                  readOnly: true
                                kind:
                                  type: string
                                  description: Kind of the referred resource
                                  minLength: 1
                                  readOnly: true
                              title: ObjectReference
                            - required:
                              - related
                            description: The organization associated with this object.
                        additionalProperties: false
                        title: partner.v2.Entitlement
                      - type: object
                        required:
                        - id
                        - metadata
                        - external_id
                        - name
                        - plan_id
                        - product_id
                    uniqueItems: true
                additionalProperties: false
                title: partner.v2.EntitlementList
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      x-codeSamples:
      - lang: Shell
        source: "curl --request GET \\\n  --url 'https://api.confluent.cloud/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE'\
          \ \\\n  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'"
      - lang: Java
        source: "OkHttpClient client = new OkHttpClient();\n\nRequest request = new Request.Builder()\n\
          \  .url(\"https://api.confluent.cloud/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE\"\
          )\n  .get()\n  .addHeader(\"Authorization\", \"Bearer REPLACE_BEARER_TOKEN\")\n  .build();\n\
          \nResponse response = client.newCall(request).execute();"
      - lang: Go
        source: "package main\n\nimport (\n\t\"fmt\"\n\t\"net/http\"\n\t\"io/ioutil\"\n)\n\nfunc main()\
          \ {\n\n\turl := \"https://api.confluent.cloud/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE\"\
          \n\n\treq, _ := http.NewRequest(\"GET\", url, nil)\n\n\treq.Header.Add(\"Authorization\", \"\
          Bearer REPLACE_BEARER_TOKEN\")\n\n\tres, _ := http.DefaultClient.Do(req)\n\n\tdefer res.Body.Close()\n\
          \tbody, _ := ioutil.ReadAll(res.Body)\n\n\tfmt.Println(res)\n\tfmt.Println(string(body))\n\n\
          }"
      - lang: Python
        source: 'import http.client


          conn = http.client.HTTPSConnection("api.confluent.cloud")


          headers = { ''Authorization'': "Bearer REPLACE_BEARER_TOKEN" }


          conn.request("GET", "/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE",
          headers=headers)


          res = conn.getresponse()

          data = res.read()


          print(data.decode("utf-8"))'
      - lang: Node
        source: "const http = require(\"https\");\n\nconst options = {\n  \"method\": \"GET\",\n  \"hostname\"\
          : \"api.confluent.cloud\",\n  \"port\": null,\n  \"path\": \"/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE\"\
          ,\n  \"headers\": {\n    \"Authorization\": \"Bearer REPLACE_BEARER_TOKEN\"\n  }\n};\n\nconst\
          \ req = http.request(options, function (res) {\n  const chunks = [];\n\n  res.on(\"data\", function\
          \ (chunk) {\n    chunks.push(chunk);\n  });\n\n  res.on(\"end\", function () {\n    const body\
          \ = Buffer.concat(chunks);\n    console.log(body.toString());\n  });\n});\n\nreq.end();"
      - lang: C
        source: 'CURL *hnd = curl_easy_init();


          curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "GET");

          curl_easy_setopt(hnd, CURLOPT_URL, "https://api.confluent.cloud/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE");


          struct curl_slist *headers = NULL;

          headers = curl_slist_append(headers, "Authorization: Bearer REPLACE_BEARER_TOKEN");

          curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);


          CURLcode ret = curl_easy_perform(hnd);'
      - lang: C#
        source: 'var client = new RestClient("https://api.confluent.cloud/partner/v2/entitlements?organization.id=SOME_STRING_VALUE&page_size=SOME_INTEGER_VALUE&page_token=SOME_STRING_VALUE");

          var request = new RestRequest(Method.GET);

          request.AddHeader("Authorization", "Bearer REPLACE_BEARER_TOKEN");

          IRestResponse response = client.Execute(request);'
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API